package cnam.util;

public class Cercle
{
    // Constante de PI
    static final double PI = 3.141592654;

    private double x;      // Centre en x du cercle
    private double y;      // Centre en y du cercle
    private double rayon;  // Rayon du cercle

    // Constructeur du cercle
    //    initialisation des attributs
    //
    public Cercle(double x,double y,double rayon)
    {
        this.x=x;
        this.y=y;
        this.rayon=rayon;
    }

    // Retourne le périmètre du cercle
    //
    public double perimetre()
    {
        return ( PI * 2.0 * rayon );
    }

    // Méthode static pour saisir les attributs d'un cercle.
    // La mathode retourne le cercle créé.
    //
    public static Cercle saisir()
    {
        Terminal.ecrireString("x : ");
        double x = Terminal.lireDouble();
        Terminal.ecrireString("y : ");
        double y = Terminal.lireDouble();
        Terminal.ecrireString("rayon : ");
        double rayon = Terminal.lireDouble();
        
        Cercle c = new Cercle(x,y,rayon);
        return(c);
    }
}